function editSVPGA(hObject, eventdata, Empty_Button, Buttons, SVDSlider, kind, otherText, AxesSVD, rbplotsvd)
data = get(Empty_Button,'UserData');

data.isred = 0;
data.issol = 0;
data.islive = 0;
data.livet = [];
set(usmn,'Value',0);
set(usmf,'Value',1);
SliderOnOffPGA(RegSlider, RegText, data, 0);

set(Empty_Button,'UserData',data);

if (isfield(data,'isdata')*(isfield(data,'issvd')) == 1) && (data.isdata*data.issvd == 1)
    sv = getsetvar(hObject, 1, data.SVDco, 1, 2);
    
    if kind == 0
        set(SVDSlider(1), 'Value', sv);
        
        svo = get(SVDSlider(2), 'Value');
        if svo < sv
            set(SVDSlider(2), 'Value', sv);
            set(otherText, 'String', num2str(sv));
            svo = sv;
        end
    else
        set(SVDSlider(2), 'Value', sv);
        
        svo = get(SVDSlider(1), 'Value');
        if svo > sv
            set(SVDSlider(1), 'Value', sv);
            set(otherText, 'String', num2str(sv));
            svo = sv;
        end
    end
    
    i1 = min(sv, svo);
    i2 = max(sv, svo);
    
    if get(rbplotsvd(1), 'Value') == 1
        plot(AxesSVD, 1:size(data.D,1), data.U(:,i1:i2), 'Linewidth',2);
        axis(AxesSVD,'tight');
        xlabel(AxesSVD,'time');
    elseif get(rbplotsvd(2), 'Value') == 1
        semilogy(AxesSVD, i1:i2, diag(data.S(i1:i2, i1:i2)),' k-.o', 'Linewidth',2);
        axis(AxesSVD,'tight');
        yl = get(AxesSVD, 'Ylim');
        set(AxesSVD, 'Xlim', [i1-.1, i2+.1], 'Ylim', [0.9, 1.1].*yl);
        xlabel(AxesSVD,'singular values');
    else
        plot(AxesSVD, data.x, data.V(:,i1:i2), 'Linewidth',2);
        axis(AxesSVD,'tight');
        xlabel(AxesSVD,'channel');
    end
end
